-- first it drops all tables, if they exist

DROP TABLE "TSHIRTS"."ItemEJB_tShirts_TShirtEJB_it" ;
DROP TABLE "TSHIRTS"."OrderEJB_addresses_AddressEJ" ;
DROP TABLE "TSHIRTS"."OrderEJB_items_ItemEJB_order" ;
DROP TABLE "TSHIRTS"."AuthenticationEJBeanTable" ;
DROP TABLE "TSHIRTS"."CMRAddressEJBeanTable" ;
DROP TABLE "TSHIRTS"."CMRCustomerEJBeanTable" ;
DROP TABLE "TSHIRTS"."CMRItemEJBeanTable" ;
DROP TABLE "TSHIRTS"."CMROrderEJBeanTable"  ;
DROP TABLE "TSHIRTS"."CMRTShirtEJBeanTable"  ;
DROP TABLE "TSHIRTS"."CustomerEJB_orders_OrderEJB_" ;

-- then creates them
CREATE TABLE "TSHIRTS"."AuthenticationEJBeanTable"(
    "__CustomerEJB_authentication" NUMBER,
    "authID" NUMBER NOT NULL,
    "customerID" NUMBER,
    "password" VARCHAR2(255),
    "authenticationType" VARCHAR2(255),
    "active" VARCHAR2(255),    
    CONSTRAINT "pk_AuthenticationEJBeanTabl" PRIMARY KEY("authID") );
    
CREATE TABLE "TSHIRTS"."CMRAddressEJBeanTable"(
	"orderID" 	NUMBER NOT NULL,
	"addressType"  	VARCHAR2(255) NOT NULL,
	"address_1" 	VARCHAR2(255),
	"address_2" 	VARCHAR2(255),
	"city" 		VARCHAR2(255),	
    	"state" 	VARCHAR2(255),
    	"zipCode" VARCHAR2(255),
    CONSTRAINT "pk_CMRAddressEJBeanTabl"
    PRIMARY KEY("addressType", "orderID"));
   
CREATE TABLE "TSHIRTS"."CMRCustomerEJBeanTable"(
    "_authentication_authID" NUMBER,
    "customerID"  NUMBER NOT NULL,
    "firstName" VARCHAR2(255),
    "lastName" VARCHAR2(255),
    "middleName" VARCHAR2(255),
    "address_1" VARCHAR2(255),
    "address_2" VARCHAR2(255),
    "city" VARCHAR2(255),    
    "state" VARCHAR2(255),     
    "zipCode" VARCHAR2(255),
    "phone" VARCHAR2(255),
    "email" VARCHAR2(255),   
    CONSTRAINT "pk_CMRCustomerEJBeanTabl" PRIMARY KEY("customerID"));
     
    
CREATE TABLE "TSHIRTS"."CMRItemEJBeanTable"(
	"itemID" NUMBER NOT  NULL,
	"orderID" NUMBER,
	"quantity" NUMBER,
	"totalPrice" FLOAT(126) NOT NULL,
    	 CONSTRAINT "pk_CMRItemEJBeanTabl" PRIMARY KEY("itemID") );
    	 
CREATE TABLE "TSHIRTS"."CMROrderEJBeanTable"(
	"orderID" NUMBER NOT NULL,
	"customerID" NUMBER,
    	"orderDate" DATE,    	
    	"shippingInstructions" VARCHAR2(255),
    	"shipDate" DATE,	    	
    	"shipWeight"  FLOAT(126) NOT NULL,
    	"shipCharge" FLOAT(126) NOT NULL,    	
    	"paidDate" DATE,
    CONSTRAINT "pk_CMROrderEJBeanTabl" PRIMARY KEY("orderID"));
    
CREATE TABLE "TSHIRTS"."CMRTShirtEJBeanTable"(
	"itemID" NUMBER,
	"shirtID" NUMBER NOT NULL,
	"shirtSize" VARCHAR2(255),
	"unitPrice" FLOAT(126) NOT NULL,
	"color" VARCHAR2(255),
	"designFront" VARCHAR2(255),
	"designBack" VARCHAR2(255),    	
    	"pictureFront" VARCHAR2(255),
    	"pictureBack" VARCHAR2(255), 
    	"supplierID" NUMBER,
    CONSTRAINT "pk_CMRTShirtEJBeanTabl" PRIMARY KEY("shirtID"));
    
    
CREATE TABLE "TSHIRTS"."CustomerEJB_orders_OrderEJB_"(
    "_OrderEJB_orderID" NUMBER NOT NULL,
    "_CustomerEJB_customerID" NUMBER);
    
CREATE TABLE "TSHIRTS"."ItemEJB_tShirts_TShirtEJB_it"(
    "_ItemEJB_itemID" NUMBER,
    "_TShirtEJB_shirtID" NUMBER NOT NULL );
    
CREATE TABLE "TSHIRTS"."OrderEJB_addresses_AddressEJ"(
    "_AddressEJB_addressType" VARCHAR2(255) NOT NULL,
    "_AddressEJB_orderID" NUMBER NOT NULL,
    "_OrderEJB_orderID"  NUMBER);
    
CREATE TABLE "TSHIRTS"."OrderEJB_items_ItemEJB_order"(
    "_ItemEJB_itemID" NUMBER NOT NULL,
    "_OrderEJB_orderID" NUMBER);

-- Insert data into Tables
--- Load data into CUSTOMER table
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '1','101','Rajiv','Pauli','','213 Erstwild Court','Apt 30','Sunnyvale','CA','94086','408-789-8075','rp@rpuli.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '2','102','Carole','Sandler','S','785 Geary St','','San Francisco','CA','94117','415-822-1289','cs@sandler.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '3','103','Philip','Currie','','654 Poplar','Apt 50','Wahsington','CA','94303','415-328-4543','pc@pCurrie.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '4','104','Tony','Higgins','H','East Shopping Cntr.','422 Bay Road','Altanta','GA','94026','415-368-1100','th@tHiggins.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '5','105', 'Rio','Vector','','1899 La Loma Drive','','Los Altos','CA','94022','415-776-3249','rv@rvictor.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '6','106','Erick','Watson','','1143 Carver Place','','Mountain View','CA','94063','415-389-8789','ew@ewaston.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '7','107','Charles','Ream','','41 Jordan Avenue','','Palo Alto','CA','94304','415-356-9876','cr@cReam.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '8','108','Donald','Duck','','587 Alvarado','','Redwood City','CA','94063','415-544-8729','dd@dDuck.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '9','109','Ray','Miller','','Mayfair Mart','7345 Ross Blvd.','San Diego','CA','94086','408-723-8789','rm@rmiller.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '10','110','Ray','Jaguar','F','520 Topaz Way','','Redwood City','CA','94062','415-743-3611','rj@rjaguar.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '11','111','Francis','Keyes','','3199 Sterling Court','','Sunnyvale','CA','94085','408-277-7245','fk@fKeyes.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '12','112','Margaret','Rosenthal','','234 Wyandotte Way','','Los Altos','CA','94022','415-887-7235','mr@mRosenthal.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '13','113','Betty','Beatty','','654 Oak Grove','','Menlo Park','CA','94025','415-356-9982','bb@bbeatty.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '14','114','Frank','Albertson','','947 Waverly Place','','Cleveland','OH','94062','415-886-6677','fa@Albertson.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '15','115','Alfred','Greenspan','G','776 Gary Avenue','','Denver','CO','94025','415-356-1123','ag@agreenspan.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '16','116','Ariana','Parmelee','','1104 Spinosa Drive','','Mountain View','CA','94040','415-534-8822','ap@Parmelee.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '17','117','Arnold','Ken','','850 Lytton Court','','Dulles','VA','94063','415-245-4578','ak@aKen.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '18','118','Richard','Baxter','','5427 College','','Oakland','CA','94609','415-655-0011','rb@rBaxter.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '19','119','Bob','Shorter','','2405 Kings Highway','','Cherry Hill','NJ','08002','609-663-6079','rw@rShorter.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '20','120','Robert','Willcock','','6627 N. 17th Way','','Milwaukee','WI','85016','602-265-8754','rw@rWillcock.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '21','121','Jay','Wallack','','Lake Biltmore Mall','','Newark','DE','19898','302-366-7511','jw@jwallack.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '22','122','Catherine','Jones','','543 Nassau Street','','Princeton','NJ','08540','609-342-0054','cb@cbrian.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '23','123','Mario','Hanion','','10100 Bay Meadows Ro','Suite 120','Jacksonville','FL','32256','904-823-4239','mh@mHanion.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '24','124','Chris','Patania','D','4715 S.E. Adams Blvd','Apt T1','Bartlesville','OK','74006','918-355-2074','cp@cpatania.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '25','125','Johney','Henry','','1450 Commonwealth Av','','Brighton','MA','02135','617-232-4159','jh@jHenry.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '26','126','Eleen','Neelie','','2539 South Utica Str','','Denver','CO','80219','303-936-7731','en@eNeelie.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '27','127','Kid','Satifer','','Blue Island Square','','Hampton','VA','60406','312-944-5691','ks@kSatifer.com');
INSERT INTO TSHIRTS.CMRCustomerEJBeanTable VALUES( '28','128','Frank','Little','','Athletic Department','','Baltimore','MD','85008','602-533-1817','fk@fLittle.com');
--- Load data into ORDERS table
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1001' , '101' , '20-Feb-2002' , 'express' , '20-Feb-2002' , '20.4' , '10' , '20-Feb-2002' );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1002' , '102' , '02-May-2002' , 'PO on box; back door only' , '02-May-2002' , '50.6' , '15.3' , '20-Feb-2002' );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1003' , '103' , '11-Oct-2002' , 'express' , '20-Feb-2002' , '35.6' , '10.8' , '20-Feb-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1004' , '104' , '22-Oct-2002' , 'ring bell twice' , '02-May-2002' , '95.8' , '19.2' , '20-Feb-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1005' , '105' , '03-Oct-2002' , 'call before delivery' , '02-May-2002' , '80.8' , '16.2' , '11-Oct-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1006' , '106' , '02-Feb-2002' , 'express' , '11-Oct-2002' , '20.4' , '10' , '11-Oct-2002' );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1007' , '107' , '02-May-2002' , 'PO on box; back door only' , '11-Oct-2002' , '50.6' , '15.3' , '11-Oct-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1008' , '108' , '11-Oct-2002' , 'express' , '11-Oct-2002' , '35.6' , '10.8' , '11-Oct-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1009' , '109' , '22-Oct-2002' , 'ring bell twice' , '11-Oct-2002' , '95.8' , '19.2' , '11-Oct-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1010' , '110' , '02-Oct-2002' , 'call before delivery' , '11-Oct-2002' , '80.8' , '16.2' , '11-Oct-2002' );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1011' , '111' , '03-Apr-2002' , 'express' , '11-Oct-2002' , '10.4' , '5' , '11-Oct-2002' );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1012' , '112' , '22-Feb-2002' , 'express' , '11-Oct-2002' , '20.4' , '10' , '11-Oct-2002' );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1013' , '113' , '05-Feb-2002' , 'PO on box; back door only' , '11-Oct-2002' , '50.6' , '15.3' , '11-Oct-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1014' , '114' , '11-Oct-2002' , 'express' , '11-Oct-2002' , '35.6' , '10.8' , '11-Oct-2002' );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1015' , '115' , '22-Oct-2002' , 'ring bell twice' , '11-Oct-2002' , '95.8' , '19.2' , '11-Oct-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1016' , '116' , '03-Oct-2002' , 'call before delivery' , '11-Oct-2002' , '80.8' , '16.2' , '11-Oct-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1017' , '117' , '22-Feb-2002' , 'express' , '11-Oct-2002' , '60.8' , '12.2' , '11-Oct-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1018' , '125' , '03-Oct-2002' , 'call before delivery' , '11-Oct-2002' , '180.8' , '16.2' , '11-Oct-2002'  );
INSERT INTO TSHIRTS.CMROrderEJBeanTable VALUES( '1019' , '127' , '22-Feb-2002' , 'express' , '11-Oct-2002' , '160.8' , '12.2' , '11-Oct-2002'  );

--- Insert data into ITEM table
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('1' , '1001' , '10' , '240.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('2' , '1002' , '10' , '800.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('3' , '1003' , '10' , '48.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('4' , '1004' , '10' , '36.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('5' , '1005' , '10' , '48.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('6' , '1006' , '10' , '480.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('7' , '1007' , '1' , '600.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('8' , '1008' , '20' , '40.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('9' , '1009' , '10' , '120.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('10' , '1010' , '20' , '204.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('11' , '1011' , '40' , '100.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('12' , '1012' , '10' , '280.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('13' , '1013' , '30' ,  '1499.97' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('14' , '1014' , '20' , '624.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('15' , '1015' , '10' , '228.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('16' , '1016' , '10' , '170.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('76' , '1017' , '10' , '190.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('77' , '1018' , '10' , '160.00' );
INSERT INTO TSHIRTS.CMRItemEJBeanTable VALUES('78' , '1019' , '10' , '190.00' );
--- Insert data into TSHIRT table
insert into TSHIRTS.CMRTShirtEJBeanTable values('1','10','XL','10.5','White','123','135','shirtOne.jpg','shirtOne.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('2','11','XL','7.5','Green','123','135','shirtTwo.jpg','shirtTwo.jpg','2');
insert into TSHIRTS.CMRTShirtEJBeanTable values('3','12','XL','5.5','Green','123','135','shirtThree.jpg','shirtThree.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('4','13','XL','10.5','White','123','135','shirtFour.jpg','shirtFour.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('5','14','L','10.5','White','123','135','shirtFive.jpg','shirtOFive.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('6','15','L','6.5','Black','123','135','shirtSix.jpg','shirtSix.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('7','16','L','10.5','White','123','135','shirtSeven.jpg','shirtSeven.jpg','2');
insert into TSHIRTS.CMRTShirtEJBeanTable values('8','17','L','7.5','Green','123','135','shirtEight.jpg','shirtEight.jpg','2');
insert into TSHIRTS.CMRTShirtEJBeanTable values('9','18','L','10.5','White','123','135','shirtOne.jpg','shirtOne.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('10','19','L','6.5','White','123','135','shirtTwo.jpg','shirtTwo.jpg','2');
insert into TSHIRTS.CMRTShirtEJBeanTable values('11','20','L','10.5','Green','123','135','shirtThree.jpg','shirtThree.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('12','21','M','5.5','White','123','135','shirtFour.jpg','shirtFour.jpg','2');
insert into TSHIRTS.CMRTShirtEJBeanTable values('13','22','M','10.5','White','123','135','shirtFive.jpg','shirtOFive.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('14','23','M','6.5','Green','123','135','shirtSix.jpg','shirtSix.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('15','24','M','10.5','Black','123','135','shirtSeven.jpg','shirtSeven.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('16','25','M','7.5','White','123','135','shirtEight.jpg','shirtEight.jpg','2');
insert into TSHIRTS.CMRTShirtEJBeanTable values('1','26','S','1.5','Green','123','135','shirtOne.jpg','shirtOne.jpg','2');
insert into TSHIRTS.CMRTShirtEJBeanTable values('2','27','S','10.5','White','123','135','shirtFour.jpg','shirtFour.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('3','28','S','7.5','Black','123','135','shirtSeven.jpg','shirtSeven.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('4','29','S','5.5','White','123','135','shirtTwo.jpg','shirtTwo.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('5','30','S','3.5','Green','123','135','shirtTwo.jpg','shirtTwo.jpg','2');
insert into TSHIRTS.CMRTShirtEJBeanTable values('6','31','S','6.5','White','123','135','shirtFour.jpg','shirtFour.jpg','1');
insert into TSHIRTS.CMRTShirtEJBeanTable values('7','32','S','1.5','Black','123','135','shirtFour.jpg','shirtFour.jpg','2');
insert into TSHIRTS.CMRTShirtEJBeanTable values('8','33','S','6.5','Green','123','135','shirtFour.jpg','shirtFour.jpg','1');

--- insert data into AUTHENTICATION table
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('101','1', '101','rajiv','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('102','2', '102','carole','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('103','3', '103','philip','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('104','4', '104','tony','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('105','5', '105','tio', 'PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('106','6', '106','erick','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('107','7', '107','charles','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('108','8', '108','donald','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('109','9', '109','ray','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('110','10', '110','ray1','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('111','11', '111','francis','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('112','12', '112','margarate','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('113','13', '113','betty','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('114','14', '114','frank','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('115','15', '115','alfred','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('116','16', '116','ariana','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('117','17', '117','arnold','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('118','18', '118','ridhard','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('119','19', '119','bob','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('120','20', '120','robert','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('121','21', '121','jay','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('122','22', '122','catherine','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('123','23', '123','mario','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('124','24', '124','chris','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('125','25', '125','johney','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('126','26', '126','eleen','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('127','27', '127','kid','PASSWORD', 'TRUE');
INSERT INTO TSHIRTS.AuthenticationEJBeanTable VALUES('128','28', '128','frank','PASSWORD', 'TRUE');


INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1001' , '101' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1002' , '102' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1003' , '103' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1004' , '104' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1005' , '105' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1006' , '106' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1007' , '107' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1008' , '108' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1009' , '109' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1010' , '110' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1011' , '111' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1012' , '112' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1013' , '113' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1014' , '114' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1015' , '115' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1016' , '116' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1017' , '117' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1018' , '125' );
INSERT INTO TSHIRTS.CustomerEJB_orders_OrderEJB_ VALUES( '1019' , '127' );

insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('1','10');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('2','11');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('3','12');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('4','13');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('5','14');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('6','15');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('7','16');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('8','17');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('9','18');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('10','19');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('11','20');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('12','21');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('13','22');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('14','23');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('15','24');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('16','25');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('1','26');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('2','27');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('3','28');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('4','29');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('5','30');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('6','31');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('7','32');
insert into TSHIRTS.ItemEJB_tShirts_TShirtEJB_it values('8','33');

INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('1' , '1001'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('2' , '1002'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('3' , '1003'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('4' , '1004'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('5' , '1005'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('6' , '1006'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('7' , '1007' );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('8' , '1008'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('9' , '1009'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('10' , '1010'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('11' , '1011'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('12' , '1012'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('13' , '1013'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('14' , '1014'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('15' , '1015'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('16' , '1016'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('76' , '1017'  );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('77' , '1018' );
INSERT INTO TSHIRTS.OrderEJB_items_ItemEJB_order VALUES('78' , '1019');

commit;