package ejava.corba.delegation;

// 
import ejava.corba.NamingContextUtility;

// 
import org.omg.CORBA.ORB;
import org.omg.CosNaming.NameComponent;
import org.omg.CosNaming.NamingContext;
import org.omg.PortableServer.POA;
import org.omg.PortableServer.POAHelper;

public class CustomerImplementation implements CustomerOperations
{

  private String firstName;
  private String lastName;
  private String address1;
  private String address2;
  private String city;
  private String state;
  private String zip;
  private String phoneNumber;
  private String emailAddress;

  public CustomerImplementation() {}

  public void bind(String name)
  {

    try {
      NamingContext namingContext =
        NamingContextUtility.getNamingContext();

      // bind the Object Reference in Naming
      NameComponent namingCoponent  = new NameComponent(name, "");
      NameComponent nameComponent[] = { namingCoponent };
      ORB           orb             = NamingContextUtility.getORB();

      // get reference to rootpoa & activate the POAManager
      POA rootpoa =
        POAHelper.narrow(orb.resolve_initial_references("RootPOA"));

      rootpoa.the_POAManager().activate();

      //==
      CustomerPOATie customerTie = new CustomerPOATie(this);
      org.omg.CORBA.Object reference =
        rootpoa.servant_to_reference(customerTie);
      Customer customer = CustomerHelper.narrow(reference);

      namingContext.rebind(nameComponent, customer);
    } catch(Exception e) {
      System.err.println("Error:" + e);
      e.printStackTrace();
    }
  }

  public String firstName()
  {
    return this.firstName;
  }

  public void firstName(String newFirstName)
  {
    this.firstName = newFirstName;
  }

  public String lastName()
  {
    return this.lastName;
  }

  public void lastName(String newLastName)
  {
    this.lastName = newLastName;
  }

  public String address1()
  {
    return this.address1;
  }

  public void address1(String newAddress1)
  {
    this.address1 = newAddress1;
  }

  public String address2()
  {
    return this.address2;
  }

  public void address2(String newAddress2)
  {
    this.address2 = newAddress2;
  }

  public String city()
  {
    return this.city;
  }

  public void city(String newCity)
  {
    this.city = newCity;
  }

  public String state()
  {
    return this.state;
  }

  public void state(String newState)
  {
    this.state = newState;
  }     

  public String zip()
  {
    return this.zip;
  }

  public void zip(String newZip)
  {
    this.zip = newZip;
  }

  public String phoneNumber()
  {
    return this.phoneNumber;
  }

  public void phoneNumber(String newPhoneNumber)
  {
    this.phoneNumber = newPhoneNumber;
  }

  public String emailAddress()
  {
    return this.emailAddress;
  }

  public void emailAddress(String newEmailAddress)
  {
    this.emailAddress = newEmailAddress;
  }
}
