package ejava.corba.dynamic;



public class DynamicClient
{

  private static final String METHOD_NAME = "sayHello";

  public static void main(String[] args)
  {

    try {

      // Initialize the ORB
      org.omg.CORBA.Object sampleDynamic;
      org.omg.CORBA.ORB    orb = org.omg.CORBA.ORB.init(args, null);

      // Create Name and the manager Id
      String name      = "/SampleDynamic";
      byte[] managerID = name.getBytes();

      // Locate SampleDynamic
      sampleDynamic = ((com.inprise.vbroker.orb.ORB) orb).bind(name,
              managerID, null, null);

      // Create request that will be sent to the manager
      org.omg.CORBA.Request request =
        sampleDynamic._request(METHOD_NAME);

      request.set_return_type(
        orb.get_primitive_tc(org.omg.CORBA.TCKind.tk_string));

      org.omg.CORBA.Any sendValue = request.add_in_arg();

      sendValue.insert_string("Hi There");
      request.invoke();

      String resultValue = request.return_value().extract_string();

      System.out.println(" Received :" + resultValue);
    } catch(Exception e) {
      e.printStackTrace();
    }
  }
}
