package ejava.corba.dynamic;



import org.omg.PortableServer.POA;
import org.omg.PortableServer.POAHelper;
import org.omg.PortableServer.POAManager;
import org.omg.PortableServer.RequestProcessingPolicyValue;
import org.omg.PortableServer.LifespanPolicyValue;
import org.omg.PortableServer.IdUniquenessPolicyValue;


public class DynamicServer
{

  public static void main(String[] args) throws Exception
  {

    // Obtain ORB reference
    org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args, null);
    
    // Get root POA and POA Manager
    POA rootPOA =
      POAHelper.narrow(orb.resolve_initial_references("RootPOA"));
    POAManager poaManager = rootPOA.the_POAManager();

    // Create the Dynamic Server POA with the right policies
    org.omg.CORBA.Policy[] serverPolicies = { 
    	rootPOA.create_lifespan_policy(
    				LifespanPolicyValue.PERSISTENT),
		rootPOA.create_request_processing_policy(
					RequestProcessingPolicyValue.USE_DEFAULT_SERVANT),
		rootPOA.create_id_uniqueness_policy(
					IdUniquenessPolicyValue.MULTIPLE_ID) 
		};
    POA dynamicPOA = rootPOA.create_POA("SampleDynamic", 
    									poaManager,
                                        serverPolicies);

    // Create the sample servant and set onto the dynamic POA
    SampleDynamic sampleServant 
    	= new SampleDynamic("SampleDynamic",dynamicPOA, orb);
    dynamicPOA.set_servant(sampleServant);

    // Activate the POA Manager and run the ORB
    poaManager.activate();
    orb.run();
  }
}
