package ejava.ejb.entity.address;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import java.rmi.RemoteException;
import javax.ejb.FinderException;
import java.util.Collection;

/**
 * This is home interface for EntityBean Address.
 *
 */
public interface AddressHome extends EJBHome
{
    /**
     * This method corresponds to the ejbCreate method in the bean
     * AddressEJBean.java.
     * The parameters of the two methods in both classes are identical.
     * When the client calls this method, the container will generate
     * a call to ejbCreate() on the AddressEJBean.
     *
     * @param orderID          order ID
     * @param addressType      type of address (billing or delivery)
     * @param address_1        address_1 of the Order
     * @param address_2        address_2 of the Order
     * @param city             city of the Order
     * @param state            state of the Order
     * @param zipCode          zipCode of the Order
     */
    public Address create(Integer orderID, String addressType,
                          String address_1, String address_2,
                          String city, String state, String zipCode)
        throws CreateException, RemoteException;

    /**
     * Finds the Address object in the database given its
     * Primary Key.
     *
     * @param addressKey      Primary Key
     * @return                AddressLocal
     */
    public Address findByPrimaryKey(AddressPrimaryKey addressKey)
        throws FinderException, RemoteException;

}

