package ejava.ejb.entity.address;

import java.io.Serializable;

/**
  * AddressPrimaryKey is the primary key used to look up Addresses.
  *
  */
public  class AddressPrimaryKey implements Serializable
{
  public Integer orderID;
  public String addressType;

  public AddressPrimaryKey(){};

  public AddressPrimaryKey(Integer orderID, String addressType)
  {
     this.orderID = orderID;
     this.addressType = addressType;
  }

  public int hashCode()
  {
      return (orderID+addressType).hashCode();
  }

  public boolean equals(Object object)
  {
    if(object instanceof AddressPrimaryKey){
      AddressPrimaryKey otherKey = (AddressPrimaryKey)object;
      if( otherKey.orderID.intValue() == orderID.intValue()
          && otherKey.addressType.equals(addressType)){
        return true;
      }
      else{
        return false;
      }
    }else {
      return false;
    }
  }

  public Integer getOrderID()
  {
     return orderID;
  }

  public String getAddressTypeID()
  {
     return addressType;
  }

  public void setOrderID(Integer orderID)
  {
     this.orderID = orderID;
  }

  public void setAddressType(String addressType)
  {
     this.addressType = addressType;
  }

}
