package ejava.ejb.entity.authentication;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.CreateException;
import java.rmi.RemoteException;

/**
 * AuthenticationEJBean implementation class
 */
public abstract class AuthenticationEJBean implements EntityBean
{
  private EntityContext entityContext;

  /**
   *  Container will generate implementations of these methods
   */
  public abstract void setCustomerID(Integer customerID);
  public abstract Integer getCustomerID();
  public abstract void setAuthID(Integer authID);
  public abstract Integer getAuthID();
  public abstract void setActive(String active);
  public abstract String getActive();
  public abstract void setPassword(String password);
  public abstract String getPassword();
  public abstract void setAuthenticationType(String authType);
  public abstract String getAuthenticationType();

  /**
   *  Empty default implementations of EntityBean interface
   */
  public void ejbActivate(){}
  public void ejbPassivate(){}
  public void ejbRemove(){}
  public void ejbLoad(){}
  public void ejbStore(){}

  public void setEntityContext(EntityContext entityContext)
  {
    this.entityContext = entityContext;
  }

  public void unsetEntityContext(){entityContext = null;}

  public Integer ejbCreate(Integer authID, Integer customerID,
                           String password, String type,
                           String active) throws CreateException
  {
    this.setAuthID(authID);
    this.setPassword(password);
    this.setAuthenticationType(type);
    this.setActive(active);
    return null;
  }

  public void ejbPostCreate(Integer authID, Integer customerID,
                            String password, String type,
                            String active)
  {
  }

}
