package ejava.ejb.entity.credit;

import java.sql.Date;
import java.sql.SQLException;
import java.sql.ResultSet;
import javax.naming.InitialContext;
import javax.naming.Context;
import javax.naming.NamingException;
import java.util.Hashtable;

import javax.ejb.FinderException;
import javax.ejb.DuplicateKeyException;
import javax.ejb.CreateException;
import javax.ejb.RemoveException;

import java.sql.Statement;
import java.sql.PreparedStatement;

import java.sql.Connection;
import java.util.Vector;

/**
  * This is helper class for the Bean-Managed EntityBean CreditEJBean
  */
public class CreditDBAccess
{
  private Connection connection;


  public void setConnection(Connection connection)
  {
    this.connection = connection;
  }

 /**
  * insert into CreditTable and ChargeCardType
  */
  public void insert(Hashtable newCreditInfo)
    throws SQLException, DuplicateKeyException
  {

    // insert into CHARGE_CARD
    String sqlString = "INSERT INTO " +
                CreditDefinition.CHARGE_CARD_TYPE + " ( " +
                CreditDefinition.CARD_TYPE + " ," +
                CreditDefinition.CARD_NUMBER + " ,  " +
                CreditDefinition.EXPIRE_DATE + " , "+
                CreditDefinition.CARD_CONFIRMATION_NUMBER + ", " +
                CreditDefinition.CARD_NAME +
                " ) VALUES (     ? , ? , ? , ? , ? ) ";
    System.out.println(" inserting : "+ sqlString);
    PreparedStatement preparedStatement =
      connection.prepareStatement(sqlString);
    preparedStatement.setObject(1,
      newCreditInfo.get(CreditDefinition.CARD_TYPE));
    preparedStatement.setObject(2,
      newCreditInfo.get(CreditDefinition.CARD_NUMBER));
    preparedStatement.setObject(3,
      newCreditInfo.get(CreditDefinition.EXPIRE_DATE));
    preparedStatement.setObject(4,
      newCreditInfo.get(CreditDefinition.CARD_CONFIRMATION_NUMBER));
    preparedStatement.setObject(5,
      newCreditInfo.get(CreditDefinition.CARD_NAME));
    int resultCount = preparedStatement.executeUpdate();
    if ( resultCount != 1 )
      throw new SQLException("ERROR  " +
           CreditDefinition.CHARGE_CARD_TYPE +
           " INSERT !! resultCount = " + resultCount);


    preparedStatement.close();

     // insert into CREDIT_TABLE
    sqlString = "INSERT INTO " +
      CreditDefinition.CREDIT_TABLE + "(" +
      CreditDefinition.CUSTOMER_ID + " , " +
      CreditDefinition.ORDER_ID + " , " +
      CreditDefinition.CARD_NUMBER_FK +" )  VALUES (  ? , ? ,? ) ";

    System.out.println(" inserting : "+ sqlString);
    preparedStatement =
      connection.prepareStatement(sqlString);
    preparedStatement.setObject(1,
      (Integer)newCreditInfo.get(CreditDefinition.CUSTOMER_ID));
    preparedStatement.setObject(2,
      (Integer)newCreditInfo.get(CreditDefinition.ORDER_ID));
    preparedStatement.setObject(3,
      newCreditInfo.get(CreditDefinition.CARD_NUMBER));


    resultCount = preparedStatement.executeUpdate();
    if ( resultCount != 1 )
      throw new SQLException("ERROR  " +
           CreditDefinition.CREDIT_TABLE +
           " INSERT !! resultCount = " + resultCount);
    preparedStatement.close();

  }

  /**
   * query credit Information for the given customerID
   */
  public Vector select(int customerID) throws SQLException
  {
     Statement statement = connection.createStatement();
     String queryString = "SELECT CR.*, CH.* "+
            " FROM " + CreditDefinition. CREDIT_TABLE + " CR, " +
              CreditDefinition.CHARGE_CARD_TYPE +" CH  WHERE "+
              CreditDefinition.CUSTOMER_ID +" = '"+ customerID + "'" +
              " AND CR.CARD_NUMBER_FK = CH.CARD_NUMBER ";
     System.out.println("queryString by CustomerID: "+ queryString);
     ResultSet result = statement.executeQuery(queryString);

     if ( !result.next() )
         throw new SQLException("No record for customerID " +
                                   customerID);
     Vector returnValues = new Vector();
     do{
      String cardNumber = result.getString(CreditDefinition.CARD_NUMBER);
      CreditPrimaryKey creditPrimaryKey =
          new CreditPrimaryKey();
      creditPrimaryKey.customerID= customerID;
      creditPrimaryKey.orderID =
        result.getInt(CreditDefinition.ORDER_ID);
      creditPrimaryKey.cardNumber =
        result.getString(CreditDefinition.CARD_NUMBER);
      returnValues.addElement(creditPrimaryKey);
     }while(result.next());

     result.close();
     statement.close();
     return returnValues;
  }

  /**
   * query credit Information for the given CustomerID
   */
  public Vector select(int customerID, int orderID)
        throws SQLException
  {
     Statement statement = connection.createStatement();
     String queryString = "SELECT CR.*, CH.* " +
         " FROM " + CreditDefinition.CREDIT_TABLE + " CR, " +
         CreditDefinition.CHARGE_CARD_TYPE + " CH  WHERE CR." +
         CreditDefinition.CUSTOMER_ID + " = '" + customerID + "'" +
         " AND CR.CARD_NUMBER_FK = CH.CARD_NUMBER " +
         "AND CR.ORDER_ID_FK = '" + orderID + "'";

     System.out.println("queryString by customerID and orderID : "
                        + queryString);
     ResultSet result = statement.executeQuery(queryString);

     if ( !result.next() )
         throw new SQLException("No record for customerID " +
                                   customerID);
     Vector returnValues = new Vector();
     do{
      String cardNumber = result.getString(CreditDefinition.CARD_NUMBER);
      CreditPrimaryKey creditPrimaryKey =
          new CreditPrimaryKey();
      creditPrimaryKey.customerID= customerID;
      creditPrimaryKey.orderID =   orderID;
      creditPrimaryKey.cardNumber = cardNumber;
      returnValues.addElement(creditPrimaryKey);
     }while(result.next());
     result.close();
     statement.close();
     return returnValues;

  }

  public Hashtable select(int customerID,
    int orderID, String cardNumber) throws SQLException
  {
     Statement statement = connection.createStatement();
     String queryString = "SELECT CR.*, CH.* "+
            " FROM " + CreditDefinition.CREDIT_TABLE + " CR, " +
              CreditDefinition.CHARGE_CARD_TYPE +" CH  WHERE CR."+
              CreditDefinition.CUSTOMER_ID +" = '"+ customerID + "'" +
              " AND CR.CARD_NUMBER_FK = CH.CARD_NUMBER " +
              "AND CR.ORDER_ID_FK = '"+ orderID +
              "' AND CR.CARD_NUMBER_FK = '"+cardNumber+"'";
     System.out.println("queryString is: "+ queryString);
     ResultSet result = statement.executeQuery(queryString);

     if ( !result.next() )
         throw new SQLException("No record for customerID " +
                                   customerID);
     Hashtable creditInfo = new Hashtable();
     creditInfo.put(CreditDefinition.CUSTOMER_ID,
          new Integer(result.getInt(CreditDefinition.CUSTOMER_ID)) );
     creditInfo.put(CreditDefinition.ORDER_ID,
         new Integer(result.getInt(CreditDefinition.ORDER_ID)) );
     creditInfo.put(CreditDefinition.CARD_NUMBER,
          result.getString(CreditDefinition.CARD_NUMBER) );
     creditInfo.put(CreditDefinition.CARD_TYPE,
          result.getString(CreditDefinition.CARD_TYPE)) ;
     creditInfo.put(CreditDefinition.EXPIRE_DATE,
         result.getDate(CreditDefinition.EXPIRE_DATE)) ;
     creditInfo.put(CreditDefinition.CARD_CONFIRMATION_NUMBER,
          result.getString(CreditDefinition.CARD_CONFIRMATION_NUMBER)) ;
     creditInfo.put(CreditDefinition.CARD_NAME,
         result.getString(CreditDefinition.CARD_NAME)) ;
     result.close();
     statement.close();
     return creditInfo;

  }


/**
  * delete a row from the DB
  */

  public void delete(CreditPrimaryKey primaryKey)
    throws SQLException
  {
    // delete form CREDIT TABLE
    String sqlString = "DELETE FROM "+CreditDefinition.CREDIT_TABLE +
              " WHERE CUSTOMER_ID_FK = " + primaryKey.customerID +
              " AND ORDER_ID_FK = " + primaryKey.orderID +
              " AND CARD_NUMBER = " + primaryKey.cardNumber;
    Statement statement = connection.createStatement();
    statement.executeUpdate(sqlString);
    // delete from CHARGE_CARD_TYPE table
     sqlString = "DELETE FROM "+CreditDefinition.CHARGE_CARD_TYPE +
      " WHERE CARD_NUMBER = "+ primaryKey.cardNumber;
    statement.executeUpdate(sqlString);
    statement.close();

  }
/**
  * update credit information in the Table
  */
  public void update(Hashtable newCreditInfo)
    throws SQLException
  {

    // insert into CHARGE_CARD
    String sqlString = "UPDATE   " +
                CreditDefinition.CHARGE_CARD_TYPE + " SET  " +
                CreditDefinition.CARD_TYPE + " = ? ," +
                CreditDefinition.CARD_NUMBER + " =  ? , " +
                CreditDefinition.EXPIRE_DATE + " = ?,"+
                CreditDefinition.CARD_CONFIRMATION_NUMBER + " = ? ," +
                CreditDefinition.CARD_NAME +
                " =  ?   WHERE " + CreditDefinition.CARD_NUMBER + " = ? ";
    System.out.println("Update String :"+sqlString);
    PreparedStatement preparedStatement =
        connection.prepareStatement(sqlString);
    preparedStatement.setObject(1,
        newCreditInfo.get(CreditDefinition.CARD_TYPE));
    preparedStatement.setObject(2,
        newCreditInfo.get(CreditDefinition.CARD_NUMBER));
    preparedStatement.setObject(3,
        newCreditInfo.get(CreditDefinition.EXPIRE_DATE));
    preparedStatement.setObject(4,
        newCreditInfo.get(CreditDefinition.CARD_CONFIRMATION_NUMBER));
    preparedStatement.setObject(5,
        newCreditInfo.get(CreditDefinition.CARD_NAME));
    preparedStatement.setObject(6,
        newCreditInfo.get(CreditDefinition.CARD_NUMBER));

    int resultCount = preparedStatement.executeUpdate();
    if ( resultCount != 1 )
      throw new SQLException("ERROR  " +
           CreditDefinition.CHARGE_CARD_TYPE +
           " INSERT !! resultCount = " + resultCount);


    preparedStatement.close();

  }





}
