package ejava.ejb.entity.credit;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import java.rmi.RemoteException;
import java.util.Hashtable;
import java.util.Enumeration;
import javax.ejb.FinderException;
import java.util.Collection;

public interface CreditHome extends EJBHome {

  /**
   * Create a Credit entity given credit information whose
   *  keys are defined according to names from CreditDefinition.
   */
  public Credit create(Hashtable creditInformation)
    throws CreateException, RemoteException;

  /**
   * Find a Credit entity given its primary key.
   */
  public Credit findByPrimaryKey(CreditPrimaryKey primaryKey)
    throws FinderException, RemoteException;

  /**
   * Find a collection of Credit entities associated
   * with the given customer ID.
   */
  public Collection findByCustomerID(int customerID)
    throws FinderException, RemoteException;

  /**
   * Find a collection of Credit entities given an associated
   * customer ID and order ID.
   */
  public Collection findByCustomerIDAndOrderID(int customerID,
                                               int orderID)
    throws FinderException, RemoteException;
}
