package ejava.ejb.entity.credit;

import javax.ejb.EJBLocalHome;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.util.Collection;
import java.util.Hashtable;

public interface CreditLocalHome extends  EJBLocalHome
{
  /**
   * Create a Credit entity given credit information whose
   * keys are defined according to names from CreditDefinition
   */
  public CreditLocal create(Hashtable creditInformation)
    throws CreateException;

  /**
   * Find a Credit entity given its primary key
   */
  public CreditLocal findByPrimaryKey(CreditPrimaryKey primaryKey)
    throws FinderException ;

  /**
   * Find Credit entities given with the given customer ID
   */
  public Collection findByCustomerID(int customerID)
    throws  FinderException;

  /**
   * Find Credit entities given the customer ID and order ID
   */
  public Collection findByCustomerIDAndOrderID(int customerID, int orderID)
    throws  FinderException;
}

