package ejava.ejb.entity.customer;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.CreateException;
import java.util.Collection;
import javax.ejb.FinderException;
import ejava.ejb.entity.authentication.AuthenticationLocal;
import ejava.ejb.entity.order.CMROrderLocal;

/**
  * CMRCustomerEJBean is a CMP EntityBean implementation
  * with CMR fields.
  */
public abstract class CMRCustomerEJBean extends CustomerEJBean {

  /**
   * Abstract getter and setter for accessing a one to
   * many relationship with a collection of Order local
   * interfaces.
   */
  public abstract Collection getOrders();
  public abstract void setOrders(Collection orders);

  /**
   * Abstract getter and setter for accessing a one to one
   * relationship with an Authentication local interface.
   */
  public abstract AuthenticationLocal getAuthentication();
  public abstract void setAuthentication(AuthenticationLocal
                                         authentication);

}
