package ejava.ejb.entity.customer;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.CreateException;

/**
 * CustomerEJBean is a CMP EntityBean implementation.
 */
public abstract class CustomerEJBean implements EntityBean {
  private EntityContext entityContext;

  /**
   * Default empty implementation of EntityBean interface
   */
  public void ejbActivate()
  {
  }

  public void ejbPassivate()
  {
  }

  public void ejbRemove()
  {
  }

  public void ejbLoad()
  {
  }

  public void ejbStore()
  {
  }

  /** Sets the EntityContext for the EJBean.  */
  public void setEntityContext(EntityContext entityContext) {
    this.entityContext = entityContext;
  }
  /** Unsets the EntityContext for the EJBean. */
  public void unsetEntityContext() {
    entityContext = null;
  }

  /**
   * Standard ejbCreate() method for setting initial state.
   */
  public Integer ejbCreate(Integer customerID, String firstName,
                           String lastName, String middleName,
                           String email, String address_1,
                           String address_2, String city,
                           String state, String zipCode,
                           String phone) throws CreateException
  {
    this.setCustomerID(customerID);
    this.setFirstName(firstName);
    this.setLastName(lastName);
    this.setMiddleName(middleName);
    this.setEmail(email);
    this.setAddress_1(address_1);
    this.setAddress_2(address_2);
    this.setCity(city);
    this.setState(state);
    this.setZipCode(zipCode);
    this.setPhone(phone);
    return null;
  }

  /**
   * Corresponding ejbPostCreate() for ejbCreate() method.
   */
  public void ejbPostCreate(Integer customerID, String firstName,
                           String lastName, String middleName,
                           String email, String address_1,
                           String address_2, String city,
                           String state, String zipCode,
                           String phone) throws CreateException
  {
  }

  /**
   * Abstract getters and setters for CMP entity
   * bean persistent fields.
   */
  public abstract Integer getCustomerID();
  public abstract String getFirstName();
  public abstract String getLastName();
  public abstract String getMiddleName();
  public abstract String getAddress_1();
  public abstract String getAddress_2();
  public abstract String getCity();
  public abstract String getState();
  public abstract String getZipCode();
  public abstract String getPhone();
  public abstract String getEmail();
  public abstract void setCustomerID(Integer customerID);
  public abstract void setFirstName(String firstName);
  public abstract void setLastName(String lastName);
  public abstract void setMiddleName(String middleName);
  public abstract void setAddress_1(String address_1);
  public abstract void setAddress_2(String address_2);
  public abstract void setCity(String city);
  public abstract void setState(String state);
  public abstract void setZipCode(String zipCode);
  public abstract void setPhone(String phone);
  public abstract void setEmail(String email);
}
