package ejava.ejb.entity.item;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import java.rmi.RemoteException;
import javax.ejb.FinderException;
import java.util.Collection;

public interface ItemHome extends EJBHome
{

  /**
   * This method corresponds to the ejbCreate method in the bean
   * ItemEJBean.java.
   *
   * @param itemID         Item ID
   * @param quantity       quantity of Item
   * @param totalPrice     total price of Item
   *
   * @return               Item
   */
  public Item create(Integer itemID, Integer quantity,
                     double totalPrice, Integer orderID)
    throws CreateException, RemoteException;

  /**
   * Finds an Item given its primary key
   *
   * @param itemID         item ID
   * @return               Item
   */
  public Item findByPrimaryKey(Integer itemID)
    throws FinderException, RemoteException;

 /**
  * Finds a Collection of Items associated with an order ID
  *
  * @param orderID         ID of the Order
  * @return                A Collection of items
  */
  public Collection findByOrderID(Integer orderID)
    throws FinderException, RemoteException;
}

