package ejava.ejb.entity.order;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.CreateException;
import java.util.Hashtable;
import java.sql.Date;

/**
  * OrderEJBean is a CMP EntityBean implementation.
  */
public abstract class OrderEJBean implements EntityBean {
  private EntityContext entityContext;

  /**
   * Abstract getters and setters for CMP entity
   * bean persistent fields.
   */
  public abstract void setOrderID(Integer orderID);
  public abstract Integer getOrderID();

  public abstract void setCustomerID(Integer customerID);
  public abstract Integer getCustomerID();

  public abstract void setOrderDate(Date orderDate);
  public abstract Date getOrderDate();

  public abstract String getShippingInstructions();
  public abstract void setShippingInstructions(String shippingInstructions);

  public abstract void setShipDate(Date shipDate);
  public abstract Date getShipDate();

  public abstract void setShipWeight(double shipWeight);
  public abstract double getShipWeight();

  public abstract void setShipCharge(double shipCharge);
  public abstract double getShipCharge();

  public abstract void setPaidDate(Date paidDate);
  public abstract Date getPaidDate();

  /** Set and unset the EntityContext for the EJB */
  public void setEntityContext(EntityContext entityContext) {
    this.entityContext = entityContext;
  }
  public void unsetEntityContext() {
    entityContext = null;
  }

  /**
   * Standard ejbCreate() method for setting initial state.
   * Requires special linking ID for customer relationship.
   */
  public Integer ejbCreate(Integer orderID, Integer customerID,
                           Date orderDate, String shippingInstructions,
                           Date shipDate, double shipWeight,
                           double shipCharge, Date paidDate)
      throws CreateException
  {
    this.setOrderID(orderID);
    this.setCustomerID(customerID);
    this.setOrderDate(orderDate);
    this.setShippingInstructions(shippingInstructions);
    this.setShipDate(shipDate);
    this.setShipWeight(shipWeight);
    this.setShipCharge(shipCharge);
    this.setPaidDate(paidDate);
    return null;
  }

  /**
   * Corresponding ejbPostCreate() for ejbCreate() method.
   */
  public void ejbPostCreate(Integer orderID, Integer customerID,
                            Date orderDate, String shippingInstructions,
                            Date shipDate, double shipWeight,
                            double shipCharge, Date paidDate)
      throws CreateException
  {
  }

  /**
   *  Default empty implementation of EntityBean interface
   */
  public void ejbActivate() {}
  public void ejbPassivate() {}
  public void ejbRemove() {}
  public void ejbLoad() {}
  public void ejbStore() {}
}
