package ejava.ejb.entity.order;

import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import java.rmi.RemoteException;
import javax.ejb.FinderException;
import java.sql.Date;
import java.util.Collection;

/**
 * This is the home interface for EntityBean Order.
 */
public interface OrderHome extends EJBHome {

  /**
   * Standard ejbCreate() method for setting initial state.
   * Requires special linking ID for customer relationship.
   */
  public Order create(Integer orderID, Integer customerID,
                      Date orderDate, String shippingInstructions,
                      Date shipDate, double shipWeight,
                      double shipCharge, Date paidDate)
    throws CreateException, RemoteException;

  /**
   * Given an order ID primary key, this method will return a
   * handle to the associated remote Order object if the
   * order exists in persistent storage.
   */
  public Order findByPrimaryKey(Integer orderID)
    throws FinderException, RemoteException;

  /**
   * Given a customer ID, this method will find any orders
   * associated with that customer and return a Collection
   * of remote Order entity bean object references.
   */
  public Collection findByCustomerID(Integer customerID)
    throws FinderException, RemoteException;
}
