package ejava.ejb.entity.order;

import javax.ejb.EJBLocalHome;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.sql.Date;
import java.util.Collection;

/**
  * This is home interface for EntityBean Order.
  */
public interface OrderLocalHome extends EJBLocalHome {

  /**
   * Standard create() method for setting initial state.
   * Requires special linking ID for customer relationship.
   */
  public OrderLocal create(Integer orderID, Integer customerID,
                           Date orderDate, String shippingInstructions,
                           Date shipDate, double shipWeight,
                           double shipCharge, Date paidDate)
    throws CreateException;

  /**
   * Given an order ID primary key, this method will
   * return an OrderLocal object reference if the bean
   * can be found.
   */
  public OrderLocal findByPrimaryKey(Integer orderID)
    throws FinderException;

  /**
   * Given a customer ID this method will return a collection
   * of OrderLocal object references if any such beans
   * can be found.
   */
  public Collection findByCustomerID(Integer customerID)
    throws FinderException;

}
