package ejava.ejb.entity.tshirt;

import javax.ejb.EJBLocalHome;
import javax.ejb.CreateException;
import java.rmi.RemoteException;
import javax.ejb.FinderException;
import java.util.Collection;

public interface CMRTShirtLocalHome extends EJBLocalHome
{
  /**
   * Create a TShirt entity given all of its field data
   */
  public CMRTShirtLocal create(Integer shirtID, String size,
                               String color, String designFront,
                               String designBack, String pictureFront,
                               String pictureBack, double unitPrice,
                               Integer itemID) throws CreateException;

  /**
   * Find a TShirt entity given its primary key
   */
  public CMRTShirtLocal findByPrimaryKey(Integer shirtID)
    throws FinderException;

  /**
   * Find TShirt entities given a TShirt size and color
   */
  public Collection findBySizeAndColor(String size, String color)
    throws  FinderException;

  /**
   * Find TShirt entities given a TShirt Item ID
   */
  public Collection findByItemID(Integer itemID)
    throws  FinderException;
}
