package ejava.ejb.entity.tshirt;

import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.CreateException;
import java.rmi.RemoteException;
import java.util.Hashtable;
import java.util.Enumeration;
import javax.ejb.FinderException;
import java.io.File;
import java.io.FileInputStream;

public abstract class TShirtEJBean  implements EntityBean
{
  // CMP fields
  public abstract void setShirtID(Integer shirtID);
  public abstract Integer getShirtID();

  public abstract void setShirtSize(String shirtSize);
  public abstract String getShirtSize();

  public abstract void setColor(String color);
  public abstract String getColor();

  public abstract void setDesignFront(String designFront);
  public abstract String getDesignFront();

  public abstract void setDesignBack(String designBack);
  public abstract String getDesignBack();

  public abstract void setPictureFront(String pictureFront);
  public abstract String getPictureFront();

  public abstract void setPictureBack(String pictureBack);
  public abstract String getPictureBack();

  public abstract void setItemID(Integer itemID);
  public abstract Integer getItemID();

  public abstract void setUnitPrice(double unitPrice);
  public abstract double getUnitPrice();

  // Context
  private EntityContext ctx;

  /**
   *  Set/get entity context
   */
  public void setEntityContext(EntityContext aCtx)
  {
    ctx = aCtx;
  }

  public void unsetEntityContext()
  {
    ctx = null;
  }

  /**
   *    Initialize TShirt info only during creation
   */
  public Integer ejbCreate(Integer shirtID, String size, String color,
                           String designFront, String designBack,
                           String pictureFront, String pictureBack,
                           double unitPrice, Integer itemID)
      throws CreateException
  {
    setShirtID(shirtID);
    setShirtSize(size);
    setColor(color);
    setDesignFront(designFront);
    setDesignBack(designBack);
    setPictureBack(pictureBack);
    setPictureFront(pictureFront);
    setUnitPrice(unitPrice);
    setItemID(itemID);
    return null;
  }

  /**
   *  Default empty implementations of EntityBean interface
   */
  public void ejbPostCreate(Integer shirtID, String size, String color,
                            String designFront, String designBack,
                            String pictureFront, String pictureBack,
                            double unitPrice, Integer itemID)
      throws CreateException
  {
  }

  public void ejbActivate(){}
  public void ejbPassivate(){}
  public void ejbRemove(){}
  public void ejbLoad(){}
  public void ejbStore(){}

}
