package ejava.ejb.session.customermgr;

import java.util.Properties;
import java.util.Date;
import javax.mail.Message;
import javax.mail.Transport;
import javax.mail.Session;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.InternetAddress;
import javax.mail.MessagingException;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class MailSender {

  /**
   * send email to the user to remind them of their password
   */
  public static void sendMail(String toAddress, String password) {
    // Lookup JavaMail Session reference
    Session session = null;
    try {
      InitialContext context = new InitialContext();
      session =
        (Session) context.lookup(
          "java:comp/env/mail/BeeShirtsMailSession");

      System.out.println("Mail Session :" + session);
      session.setDebug(true);
      context.close();
    } catch (NamingException namingException) {
      namingException.printStackTrace();
    }

    // Get Mail Session and Send Email
    try {
      // Create E-mail Message
      Message message = new MimeMessage(session);
      message.setFrom(new InternetAddress("contact@beeshirts.com"));
      InternetAddress[] address = { new InternetAddress(toAddress)};
      message.setRecipients(Message.RecipientType.TO, address);
      message.setSubject("Password Reminder");
      message.setSentDate(new Date());
      message.setText("Your BeeShirts.com password :" + password);
      System.out.println("Sending message :");

      // Send E-mail Message
      Transport.send(message);
    } catch (MessagingException messagingException) {
      messagingException.printStackTrace();
    }
  }
}
