package ejava.ejb.session.ordermgr;

import javax.ejb.EJBLocalObject;
import javax.ejb.FinderException;
import java.util.Enumeration;
import java.util.Vector;
import ejava.servlets.Order;
import ejava.servlets.Customer;


/**
  * The methods in this interface are called by the client to
  * query for Orders
  */
public interface OrderManagerLocal extends EJBLocalObject
{

   /**
    * Query for Orders given a Customer ID
    */
   public Vector queryOrders(int  customerID);

   /**
    * Find Number of items in an Order
    */
   public int numberOfItemsInAnOrder(int orderID)
        throws FinderException;

   /**
    * Find Avarage OrderValue of a Customer
    */
   public float averageOrderValueOfACustomer(int customerID)
        throws FinderException;

   /**
    * Create new Order using the order Information given by the client
    */
   public Integer createNewOrder(Order order);

   /**
    * Get a Customer of the Order by querying findCustomer
    * (CMROrderLocal as param)
    */
  public Customer getCustomer(int orderID) throws FinderException;


}

