package ejava.ejb.webservices;

import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import javax.rmi.PortableRemoteObject;
import java.util.Collection;
import java.util.Iterator;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.naming.Context;
import ejava.ejb.EJBHelper;
import java.sql.Connection;

public class QueryServiceEJBean 
  extends ejava.webservices.rpc.QueryServerImpl
  implements javax.ejb.SessionBean
{ 
  // Session bean & Web services context
  private SessionContext sessionContext;

  /**
   * Public default constructor
   */
  public QueryServiceEJBean(){ 
  	super();
  }

  /**
   * Set standard context
   */  
  public void setSessionContext(SessionContext aCtx){
    sessionContext = aCtx;
  }
  
  /**
   * Standard ejbCreate() method impl
   * Creates and sets connection for parent class
   */  
  public void ejbCreate(){
    System.out.println("ejbCreate called");
    try{
      super.setConnection(EJBHelper.getDBConnection());
    }catch(Exception exception){
      System.out.println("Failed to create connection");
      exception.printStackTrace();
    }
  }

  /**
   * Standard ejbRemove() method impl
   * Deletes connection for parent class
   */
  public void ejbRemove(){
    System.out.println("ejbRemove called");
    try{
      super.getConnection().close();
    }catch(Exception exception){
      System.out.println("Failed to close connection");
      exception.printStackTrace();
    }
  }

  // Standard session bean methods not invoked  
  public void ejbPassivate(){ }
  public void ejbActivate(){ }

  // Super class Web service life cycle methods not invoked
  public void init(Object context){ }
  public void destroy(){ }
}

