package ejava.javabeans;

import java.beans.PropertyEditorSupport;

/**
 * This class implements the Property Editor of the AuditBean
 */
public class AuditPropertyEditor  extends PropertyEditorSupport
{
   protected int auditType;

   /**
    * Set (or change) the object that is to be edited.
    */
   public void setValue(Object value) {
      auditType = ((Integer)value).intValue();
      firePropertyChange();
   }

   /**
    * Gets the value of the property.
    */
   public Object getValue() {
      return new Integer(auditType);
   }

   /**
    * Gets the property value as a string suitable for presentation
    * to a human to edit.
    */
   public String getAsText() {
      switch(auditType)
      {
        case AuditTypes.CREDIT_CARD_EXPIRED:
            return AuditTypes.CREDIT_CARD_EXPIRED_READABLE_VALUE;
        case AuditTypes.CREDIT_CARD_AUTHORIZATION_FAILED:
            return AuditTypes.CREDIT_CARD_AUTHORIZATION_FAILED_READABLE_VALUE;
        default:
            return " NOT Defined ";
      }
   }

   /**
    * Sets the property value by parsing a given String.
    */
   public void setAsText(String vlaue)
                      throws java.lang.IllegalArgumentException {
      if (vlaue.equalsIgnoreCase (
        AuditTypes.CREDIT_CARD_EXPIRED_READABLE_VALUE)){
        auditType = AuditTypes.CREDIT_CARD_EXPIRED;
       } else if(vlaue.equalsIgnoreCase(
        AuditTypes.CREDIT_CARD_AUTHORIZATION_FAILED_READABLE_VALUE)){
        auditType = AuditTypes.CREDIT_CARD_AUTHORIZATION_FAILED;
       } else {
          throw new java.lang.IllegalArgumentException(vlaue);
       }
   }

   /**
   * If the property value must be one of a set of known tagged values,
   * then this method should return an array of the tagged values.
   */
   public String[] getTags() {
      String[] returnValues =
      {
        AuditTypes.CREDIT_CARD_EXPIRED_READABLE_VALUE,
        AuditTypes.CREDIT_CARD_AUTHORIZATION_FAILED_READABLE_VALUE
      };
      return returnValues;
   }
}