package ejava.jaxp;

import org.xml.sax.DTDHandler;
import org.xml.sax.SAXException;

/**
  * implements DTDHandler to receive DTD events from parser
  */
public class SampleDTDHandler implements DTDHandler
{

  /**
  * receive information about DTD entity information.
  */
  public void notationDecl(String name, String publicID,
    String systemID)
    throws SAXException
  {
  	System.out.println("DTD Handling...");
    System.out.println(" Notation Name :" +name + " publicID :" +publicID +
      "System ID : " +systemID);
  }

  /**
  * receive information about a DTD unparsed entity
  */
  public void unparsedEntityDecl(String name, String publicID,
    String systemID, String notationName)
    throws SAXException
  {
  	System.out.println("DTD Handling...");  	
    System.out.println(" Entity :" + name +" public ID :" + publicID +
      "System ID :" +systemID + "Notation Name :" + notationName);
  }

}
