package ejava.jaxp;

import java.io.File;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.OutputKeys;
import javax.xml.transform.stream.StreamSource;
import javax.xml.transform.stream.StreamResult;

import javax.xml.transform.OutputKeys;

/**
 *  Takes input file names of
 *     XSL stylesheet,
 *     XML source document,
 *     output file
 *  and applies the transformation
 */

public class XmlTransformApp
{

    public XmlTransformApp()
    {
    }

    public static void main(String[] args)
    {
        TransformerFactory factory = TransformerFactory.newInstance();

        File styleSheet = new File(args[0]);
        File inputFile  = new File(args[1]);
        File outputFile = new File(args[2]);

        StreamSource styleSrc =  new StreamSource(styleSheet);
        StreamSource inputSrc =  new StreamSource(inputFile);
        StreamResult result = new StreamResult(outputFile);

        try
        {
            Transformer transformer = factory.newTransformer(styleSrc);
            transformer.setOutputProperty(OutputKeys.INDENT, "yes");
            transformer.transform(inputSrc, result);
        }
        catch (TransformerException te)
        {
            System.out.println("Error = " + te.toString());
        }
    }

}
