package ejava.jndi.directory.jiniexample;
import net.jini.discovery.DiscoveryListener;
import net.jini.discovery.DiscoveryEvent;
import net.jini.core.lookup.ServiceRegistrar;
import net.jini.core.lookup.ServiceItem;


/**
  * This class listens for discovery Events
  */
public class CustomerDiscoveryListener implements DiscoveryListener
{
  CustomerServiceRemote listeningFor = null;
  ServiceItem serviceItem = null;

  public CustomerDiscoveryListener(CustomerServiceRemote listeningFor ,
    ServiceItem serviceItem)
  {
    System.out.println("Listening For:"+listeningFor);

    this.listeningFor = listeningFor;
    this.serviceItem = serviceItem;
  }
/**
  *  Once the looup service is desoverd the discovered method is called.
  */
  public void discovered(DiscoveryEvent dEvent)
  {
    System.out.println(" Discovered new Lookup Service ");
    ServiceRegistrar[] newRegistrars = dEvent.getRegistrars();

    for(int i=0; i< newRegistrars.length; i++){
      if(!listeningFor.getRegistrations().containsKey(newRegistrars[i])){
        listeningFor.registerWithLookupService(newRegistrars[i], serviceItem);
      }
    }
  }
/**
  * once an entity is discarded , appropriate entity from
  * local items also removed.
  */
  public void discarded(DiscoveryEvent dEvent)
  {
    ServiceRegistrar[] goingAwayRegistrars = dEvent.getRegistrars();
    for(int i = 0; i<goingAwayRegistrars.length; i++){
      this.listeningFor.getRegistrations().remove(goingAwayRegistrars[i]);
    }
  }
}
