package ejava.jndi.directory.jiniexample;
import java.rmi.RemoteException;
import java.rmi.RMISecurityManager;
import java.util.Hashtable;
import java.io.IOException;
import java.io.Serializable;
/**
  * CustomerServiceProxy is a serializable  object
  * Client Receives the proxy
  */
public class CustomerServiceProxy
  implements Serializable, Customer
{
  CustomerActivatableInterface remoteReference;


  public CustomerServiceProxy()
  {
   //empty constructor.
  }

  public CustomerServiceProxy(CustomerActivatableInterface
    remoteReference)
  {
    this.remoteReference = remoteReference;
  }

  public int  customer_id()
  {
    int id = -1;
    try{
      id = remoteReference.customer_id();
    }
    catch(RemoteException remoteException){
      System.out.println("Error :"+remoteException);
      remoteException.printStackTrace();
    }
    return id;
  }

  public String  state()
  {
    String state = null;
    try{
      state = remoteReference.state();
    }
    catch(RemoteException remoteException){
      System.out.println("Error :"+remoteException);
      remoteException.printStackTrace();
    }
    return state;
  }
  public String  first_name()
  {
    String firstName = null;
    try{
      firstName = remoteReference.first_name();
    }
    catch(RemoteException remoteException){
      System.out.println("Error :"+remoteException);
      remoteException.printStackTrace();
    }
    return firstName;
  }

  public String  last_name()
  {
    String lastName = null;
    try{
      lastName = remoteReference.last_name();
    }
    catch(RemoteException remoteException){
      System.out.println("Error :"+remoteException);
      remoteException.printStackTrace();
    }
    return lastName;
  }
  public String  city()
  {
    String city = null;
    try{
      city = remoteReference.city();
    }
    catch(RemoteException remoteException){
      System.out.println("Error :"+remoteException);
      remoteException.printStackTrace();
    }
    return city;
  }

  public String  zip()
  {
    String zip = null;
    try{
      zip = remoteReference.zip();
    }
    catch(RemoteException remoteException){
      System.out.println("Error :"+remoteException);
      remoteException.printStackTrace();
    }
    return zip;
  }

  public String  street()
  {
    String street = null;
    try{
      street = remoteReference.street();
    }
    catch(RemoteException remoteException){
      System.out.println("Error :"+remoteException);
      remoteException.printStackTrace();
    }
    return street;
  }
  public String  email()
  {
    String email = null;
    try{
      email = this.remoteReference.email();
    }
    catch(RemoteException remoteException){
      System.out.println("Error :"+remoteException);
      remoteException.printStackTrace();
    }
    return email;
  }


}
