package ejava.jsp;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import java.util.Vector;
import java.io.FileInputStream;
import java.io.IOException;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.http.Cookie;




public class JSPHelper
{
  /** Standard BeeShirts.com Cookie Name **/
  public static final String COOKIE_NAME = "BEESHIRTS";
  public static final String POST_METHOD = "POST";
  public static final String GET_METHOD = "GET";
  public static final String HEADER_METHOD = "HEADER";
  public static final String BROWSED_SHIRTS = "BROWSED_SHIRTS";

  public static final String WELCOME_MESSAGE_ENV = "WelcomeMessage";
  public static final String ENV_PREFIX="java:comp/env/";
  
// different page names
  public static final String ABOUT_US_PAGE = "/AboutUs.jsp";
  public static final String CONTACT_INFO_PAGE = "/ContactInformation.jsp";
  public static final String DELIVERY_INFO_PAGE = "/Delivery.jsp";
  public static final String TERMS_AND_CONDITIONS_PAGE = "/TermsAndConditions.jsp";
  public static final String ORDER_STATUS_PAGE = "/OrderStatus.jsp";
  public static final String CART_PAGE  ="/Cart.jsp";
  public static final String BROWSE_SHIRTS_PAGE = "/BrowseShirts.jsp";
  public static final String REGISTRATION_PAGE = "/Registration.jsp";
  public static final String REMIND_PASSWORD_PAGE= "/RemindPassword.jsp";
  public static final String VERIFY_LOGIN_PAGE= "/VerifyLogin.jsp";
  public static final String CHECK_OUT_PAGE = "/CheckOut.jsp";

  public static Object contextLookup(String entry)
  {
    Object value = null;
    try
    {
      InitialContext ctx = new InitialContext();
      value = ctx.lookup(ENV_PREFIX + entry);
    }
    catch (NamingException ne)
    {
      System.out.println(ne);
    }
  
    return value;
  }

  public static String getServerInfo(HttpServletRequest request)
  {
    String serverHost = request.getServerName();
    int serverPort = request.getServerPort();
    String context = request.getContextPath();
    String protocol = "HTTP://";
    String serverInfo = protocol+serverHost+":"+serverPort+context;
    return serverInfo;
  }

  /**
  * Check whether the standard BEESHIRTS Cookie is available
  */
  public static String getOurCookieValue(Cookie[] cookies)
  {
    String returnValue = null;
    if (cookies == null)
	return null;

    // Search cookie list for standard BEESHIRTS cookie
    for(int i = 0; i<cookies.length; i++){
      Cookie cookie = cookies[i];
      // If retrieved cookie name is standard cookie name: "BEESHIRTS"
      if(cookie.getName().equals(COOKIE_NAME)){
        // Then set return value equal to value of this cookie
        returnValue = cookie.getValue();
        // Now return cookie value from this method
        return  returnValue;
      }
    }
    // Will return null cookie value if made it to this point
    return returnValue;
  }

}
