package ejava.rmi.queryservicejrmp;

import java.rmi.server.UnicastRemoteObject;
import java.rmi.Naming;
import java.rmi.RemoteException;
import ejava.rmi.Customer;

/**
 * Customer interface implementation class
 */
public class CustomerImplementation extends UnicastRemoteObject
  implements Customer
{
  private String firstName;
  private String lastName;
  private String address1;
  private String address2;
  private String city;
  private String state;
  private String zip;
  private String phoneNumber;
  private String emailAddress;

  public CustomerImplementation()
    throws RemoteException
  {
    super();
  }

  public void bind(String customerID)
  {
    try {
      Naming.rebind(customerID, this);
    } catch (Exception e) {
      System.out.println("Error in binding the customer :" + e
      + "customerID :" + customerID);
    }
  }

  public String getFirstName()
    throws RemoteException
  {
    return firstName;
  }

  public String getLastName()
    throws RemoteException
  {
    return lastName;
  }

  public String getAddress1()
    throws RemoteException
  {
    return address1;
  }

  public String getAddress2()
    throws RemoteException
  {
    return address2;
  }

  public String getState()
    throws RemoteException
  {
    return state;
  }

  public String getPhoneNumber()
    throws RemoteException
  {
    return phoneNumber;
  }

  public String getEmailAddress()
    throws RemoteException
  {
    return emailAddress;
  }

  public String getZip()
    throws RemoteException
  {
    return zip;
  }

  public void setZip(String newZip)
  {
    zip = newZip;
  }

  public String getCity()
    throws RemoteException
  {
    return city;
  }

  public void setCity(String newCity)
  {
    city = newCity;
  }

  public void setFirstName(String newFirstName)
  {
    firstName = newFirstName;
  }

  public void setLastName(String newLastName)
  {
    lastName = newLastName;
  }

  public void setAddress1(String newAddress1)
  {
    address1 = newAddress1;
  }

  public void setAddress2(String newAddress2)
  {
    address2 = newAddress2;
  }

  public void setState(String newState)
  {
    state = newState;
  }

  public void setPhoneNumber(String newPhoneNumber)
  {
    phoneNumber = newPhoneNumber;
  }

  public void setEmailAddress(String newEmailAddress)
  {
    emailAddress = newEmailAddress;
  }

}

