package ejava.rmi.sampleactivatable;

import java.rmi.RemoteException;
import java.rmi.RMISecurityManager;
import java.rmi.Naming;
import java.net.MalformedURLException;
import java.rmi.NotBoundException;
import java.io.IOException;
import java.util.Vector;
import java.util.prefs.Preferences;

public class SampleServerClient
{

  public static void main(String[] args)
  {
    Preferences preferences =
      Preferences.userNodeForPackage(ejava.rmi.QueryServer.class);
    try {
      if (System.getSecurityManager() == null) {
        System.setSecurityManager(new RMISecurityManager());
      }

      String serverName
            = preferences.get("REGISTRY_SERVER_URL",null)
            + preferences.get("SERVER_BOUND_NAME",null);

      System.out.println("Client Looking for Server :" + serverName);
      System.out.println("Type Enter Key");
      System.in.read();    // to hold the screen

      SampleServer server = (SampleServer) Naming.lookup(serverName);

      System.out.println("Client querying for Objects :");
      System.out.println("Type Enter Key");
      System.in.read();

      Object[] receivedObjects = server.getArrayOfObjects();

      System.out.println("Resulting Objects" );

      for (int i = 0; i < receivedObjects.length -2; i++) {
         System.out.print(((Integer) receivedObjects[i]).intValue() 
                           + ":");
      }
      System.out.print(((Integer)
        receivedObjects[receivedObjects.length-1]).intValue() + "\n");

    } catch (RemoteException remoteEx) {
      System.out.println("RemoteException: " + remoteEx.getMessage());
      remoteEx.printStackTrace();
    } catch (MalformedURLException malformedURLException) {
      System.out.println("RemoteException: " + malformedURLException);
      malformedURLException.printStackTrace();
    } catch (NotBoundException notBoundEx) {
      System.out.println("NotBoundException: " + notBoundEx);
      notBoundEx.printStackTrace();
    }catch (IOException ioEx) {
      System.out.println("Io ecception :" + ioEx);
    }
  }

}

