package ejava.rmi.sampleactivatable;

import java.rmi.RemoteException;
import java.rmi.activation.Activatable;
import java.rmi.activation.ActivationID;
import java.rmi.MarshalledObject;
import java.rmi.Remote;
import java.rmi.Naming;
import java.rmi.RMISecurityManager;

/**
 * Class SampleServerImplementation
 */
public class SampleServerImplementation extends Activatable
  implements SampleServer
{
  private final int OBJECTS_TO_SEND = 10;

  public SampleServerImplementation(ActivationID activationID,
   MarshalledObject receivedData)
   throws RemoteException
  {
    super(activationID, 0);
  }

  public Object[] getArrayOfObjects()
    throws RemoteException
  {
   //create simple test set of objects to return
    Object[] someObjects = new Object[OBJECTS_TO_SEND];

    for (int i = 0; i < someObjects.length; i++) {
      someObjects[i] = new Integer(i);
    }

    return someObjects;
  }

}

