package ejava.servlets;

// 
import java.io.IOException;
import java.io.PrintWriter;

// 
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
  * Generates AboutUs Page Dynamically
  */
public class AboutUsServlet  extends HttpServlet
{
  public static final String SERVLET_NAME = "/AboutUsServlet";

 public void service(HttpServletRequest servletRequest,
    HttpServletResponse servletResponse)
    throws ServletException, IOException
 {
    // Create initial document response, write body, and close document
    PrintWriter printWriter =
      ServletsHelper.createInitialDocumentResponse(servletResponse);

    writePageBody(printWriter,servletRequest);

    ServletsHelper.createClosingDocumentResponse(printWriter);
 }

/**
  * Write Page Body
  */
  private void writePageBody(PrintWriter printWriter,
    HttpServletRequest servletRequest)
  {
    // Write the top half of page
    ServletsHelper.writePageTopArea(printWriter);
    // Divide rest of page into two table columns
    printWriter.println("<TABLE BORDER=0 COLS=2 WIDTH=\"100%\" >");
    printWriter.println(" <TR> ");
    String serverInfo = ServletsHelper.getServerInfo(servletRequest);
    // Write left hand side (buttons)
    ServletsHelper.writePageLeftArea(printWriter, serverInfo);
    // Write the center area for About Us servlet
    writePageCenterArea(printWriter);
    // close the TABLE
    printWriter.println("</TR>");
    printWriter.println("</TABLE> <br>&nbsp;");

  }

  private void writePageCenterArea(PrintWriter printWriter)
  {
    // Print our AboutUs information
    printWriter.println("<TD  ALIGN=TOP > "+
        "<UL> " +
        " <UL> "+
        " <BR>BeeShirts.com is designed and hosted by Paul Perrone and Krishna Chaganti."+
        " <P>BeeShirts.com, inc&nbsp; is promoted "+
        " by a group of Enterprise Java Solution Providers. BeeShirts.com is a an "+
        " example of Enterprise Java solutions developed and implemented using different"+
        " Enterprise Java Solutions like EJB, JSP, JNDI, Servlets, JMS, JavaMail, JDBC, XML, CORBA "+
        " etc.</P> "+
        " <BR>Hope you enjoy these examples. "+
        " </UL> </TD>  ");
  }
}


