package ejava.servlets;

// 
import java.io.Serializable;
import java.util.Vector;

/**
  * Encapsulates Shopping Cart data
  */
public class ShoppingCart implements Serializable
{
  public static final String SHOPPING_CART_OBJECT = "SHOPPING_CART";
  private Customer customer;
  private Vector items;

/**
  * Constructor with customer
  */
  public ShoppingCart(Customer customer)
  {
    this.customer = customer;
  }
/**
  * Default Constructor
  */
  public ShoppingCart()
  {// default Constructor
  }

/**
  * add a Shirt to the Cart
  */
  public void addItem(TShirt item)
  {
    if(items == null){
      items = new Vector();
    }
    items.addElement(item);
  }

/**
  * get Items in the Cart
  */
  public Vector getItems()
  {
    return items;
  }

/**
  * get Customer to whom the cart belongs to
  */
  public Customer getCustomer()
  {
    return customer;
  }

/**
  * set Customer Information
  */
  public void setCustomer(Customer newCustomer)
  {
    customer = newCustomer;
  }

/**
  * Return ShoppingCart as an HTML table
  */
  public String getCartAsHTMLTable()
  {
    StringBuffer outputString = new StringBuffer();
    outputString.append("<TABLE BORDER=0"+
      " CELLSPACING=0 CELLPADDING=0  BGCOLOR=\"#FFCC66\" >");
    outputString.append("<TR> <TD> <STRONG> Your Cart Contains : <STRONG> </TD> </TR>");
    outputString.append("<TR>  </TR>");
    if(items != null){
      for(int i = 0; i< items.size(); i++){
        TShirt item = (TShirt)items.elementAt(i);
        outputString.append("<TR> <TD VALIGN=TOP >" );
        outputString.append(item.getTShirtAsHTMLTable());
        outputString.append("</TD></TR>");
      }
    }
    outputString.append("</TABLE>");
    return outputString.toString();
    
  }
}
