package ejava.servlets;

// 
import java.io.Serializable;

/**
  *  Enacpsulates a TShirt object
  */
public class TShirt extends Item implements Serializable
{
  public static final String SHIRT_ID = "shirtID";
  public static final String SIZE ="size";
  public static final String COLOR = "color";
  public static final String DESIGN_FRONT = "designFront";
  public static final String DESIGN_BACK = "designBack";
  public static final String PICTURE_FRONT = "pictureFront";
  public static final String PICTURE_BACK = "pictureBack";
  public static final String ORDERED_FIELD = "ORDERED_FIELD";
  public static final String PRICE_FOR_ONE_ITEM = "unitPrice";

  private String size;
  private String color;
  private String designFront;
  private String designBack;
  private String pictureFrontFileName;
  private String pictureBackFileName;
  private double unitPrice;

/**
  * Construct with data
  */
  public TShirt(int shirtID,
    String size, String color, String designFront, String designBack,
    String pictureFront, String pictureBack, double unitPrice)
  {
    setItemID(shirtID);
    this.size = size;
    this.color = color;
    this.designFront = designFront;
    this.designBack = designBack;
    this.pictureFrontFileName = pictureFront;
    this.pictureBackFileName = pictureBack;
    this.unitPrice = unitPrice;
  }
/**
  * Default constructor
  */
  public TShirt()
  {
    // default constructor
  }

/**
  * Setters
  */
  public void setSize(String newSize)
  {
    size = newSize;
  }
  public void setColor(String newColor)
  {
    color = newColor;
  }
  public void setDesignFront(String newDesignFront)
  {
    designFront = newDesignFront;
  }
  public void setDesignBack(String newDesignBack)
  {
    designBack = newDesignBack;
  }

  public void setPictureFrontFileName(String fileName)
  {
    pictureFrontFileName = fileName;
  }

  public void setPictureBackFileName(String fileName)
  {
    pictureBackFileName = fileName;
  }

  public void setUnitPrice (double newUnitPrice)
  {
    unitPrice = newUnitPrice;
  }
/**
  * Getters
  */
  public String getSize()
  {
    return size;
  }
  public String getColor()
  {
    return color;
  }
  public String  getDesignFront()
  {
    return designFront ;
  }

  public String getDesignBack()
  {
    return designBack ;
  }

  public String getPictureFrontFileName()
  {
    return pictureFrontFileName;
  }

  public String getPictureBackFileName()
  {
    return pictureBackFileName;
  }

  public double getUnitPrice()
  {
    return unitPrice;
  }

/**
  * Get TShirt info as a String
  */
  public String toString()
  {
    return " ShirtID : " + getItemID() +" Size : "+size +" Color : " + color +
      " DesignFront :" + designFront + " DesignBack :" + designBack;
  }

/**
  * Over write clone
  */
  public Object clone()
  {
    return new TShirt(getItemID(), size, color, designFront, designBack,
      pictureFrontFileName, pictureBackFileName, unitPrice);
  }

/**
  * Get TShirt data as a formatted HTML table
  */
  public String getTShirtAsHTMLTable()
  {
    StringBuffer outputString = new StringBuffer();
    outputString.append(super.getItemAsHTMLTable());
    outputString.append("<TABLE BORDER=0"+
      " CELLSPACING=0 CELLPADDING=0  BGCOLOR=\"#FFCC66\" >");
    outputString.append(" <TR> <TD> "+ SIZE +
      " :  </TD> <TD> " +size +" <TD> </TR> ");
    outputString.append(" <TR> <TD> "+ COLOR +
      " :  </TD> <TD> " +color +" <TD> </TR> ");
    outputString.append(" <TR> <TD> "+ PRICE_FOR_ONE_ITEM +
      " :  </TD> <TD> " +unitPrice +" </TD> </TR> ");
    outputString.append(" <TR> <TD> "+ DESIGN_FRONT +
      " :  </TD> <TD> " +designFront +" <TD> </TR> ");
    outputString.append(" <TR> <TD> "+ DESIGN_BACK +
      " :  </TD> <TD> " +designBack +" <TD> </TR> ");
    outputString.append(" <TR> <TD> "+ PICTURE_FRONT +
      " :  </TD> <TD> " +pictureFrontFileName +" <TD> </TR> ");
    outputString.append(" <TR> <TD> "+ PICTURE_BACK +
      " :  </TD> <TD> " +pictureBackFileName +" <TD> </TR> ");
    outputString.append(" <TR> <TD> " + "SHIRT" +
      " :  </TD> <TD> " + "<IMG SRC=" + pictureBackFileName+
        " >  </TD> </TR> ");
    outputString.append("</TABLE>");
    return outputString.toString();

  }

/**
  * Get TShirt data as a formatted HTML table for browsing purposes
  */
  public String getTShirtAsHTMLTableForBrowing(
    String serverInfo)
  {
    StringBuffer outputString = new StringBuffer();
    outputString.append("<TABLE BORDER=0"+
      " CELLSPACING=0 CELLPADDING=0  BGCOLOR=\"#FFCC66\" >");
    outputString.append(" <TR> <TD> "+ SHIRT_ID +
      " :  </TD> <TD> " +getItemID() +" </TD> </TR> ");
    outputString.append(" <TR> <TD> "+ SIZE +
      " :  </TD> <TD> " +size +" </TD> </TR> ");
    outputString.append(" <TR> <TD> "+ COLOR +
      " :  </TD> <TD> " +color +" </TD> </TR> ");
    outputString.append(" <TR> <TD> "+ PRICE_FOR_ONE_ITEM +
      " :  </TD> <TD> " + unitPrice +" </TD> </TR> ");
    outputString.append(" <TR> <TD> "+ DESIGN_FRONT +
      " :  </TD> <TD> " +designFront +" </TD> </TR> ");
    outputString.append(" <TR> <TD> "+ DESIGN_BACK +
      " :  </TD> <TD> " +designBack +" </TD> </TR> ");
    outputString.append(" <TR> <TD> " + "SHIRT" +
      " :  </TD> <TD> " + "<IMG SRC=" + pictureFrontFileName+
        " >  </TD> </TR> ");
    outputString.append(" <TR> <FORM METHOD=\"POST\" "+
      " NAME=\"addToCartForm"+getItemID()+"\" "+ "ACTION=\""+serverInfo+"\">" +
      "  <TD> "+
      " <INPUT TYPE=HIDDEN NAME="+SHIRT_ID+" VALUE=\""+ getItemID()+"\">"+
      " <INPUT TYPE =VALUE SIZE=\"2\" NAME=\""+ORDERED_FIELD+"\" value=\"1\"> "+
      "   <INPUT TYPE=\"SUBMIT\" Name = \"ADDTOCART \" Value=\"ADD TO CART\" "+
        getItemID() +"\">  </TD> </TR> ");
    outputString.append("</TABLE>");

    return outputString.toString();
  }
}
