package ejava.util.prefs;

import java.io.*;
import java.util.prefs.*;

public class PreferenceSetter
{
    private Preferences prefs = null;

    public PreferenceSetter()
    {
    }

    public void setSystemRoot()
    {
	prefs = Preferences.systemRoot();
    }

    public void setUserRoot()
    {
	prefs = Preferences.userRoot();
    }

    public void	setNode(String nodeName)
    {
	prefs = prefs.node(nodeName);
    }
    
    public void addNodeEntry(String key, String value)
    {
	prefs.put(key, value);
    }

    public void importPreferences(InputStream is) throws IOException, InvalidPreferencesFormatException
    {
	Preferences.importPreferences(is);
    }

    public void exportPreferences(OutputStream os) throws IOException, BackingStoreException
    {
	if (prefs == null)
	    setUserRoot();
	
	Preferences tmpPrefs = prefs.node("/");
	tmpPrefs.exportSubtree(os);
    }



}
