package ejava.webservices.rpc;

/**
 * @author Paul Perrone
 *
 * J2EE Developer's Handbook
 * 
 * Package: ejava.webservices.rpc
 * 
 * Type: Customer
 * 
 * This Customer class is a serializable JAX-RPC value type
 * and passed across the QueryServer.
*/

import java.io.Serializable;

public class Customer implements Serializable
{
  private String firstName;
  private String lastName;
  private String address1;
  private String address2;
  private String city;
  private String state;
  private String zip;
  private String phoneNumber;
  private String emailAddress;

  public Customer(){
  }

  public String getFirstName(){
    return firstName;
  }

  public String getLastName(){
    return lastName;
  }

  public String getAddress1(){
    return address1;
  }

  public String getAddress2(){
    return address2;
  }

  public String getState(){
    return state;
  }

  public String getPhoneNumber(){
    return phoneNumber;
  }

  public String getEmailAddress(){
    return emailAddress;
  }

  public String getZip(){
    return zip;
  }

  public void setZip(String newZip){
    zip = newZip;
  }

  public String getCity(){
    return city;
  }

  public void setCity(String newCity){
    city = newCity;
  }

  public void setFirstName(String newFirstName){
    firstName = newFirstName;
  }

  public void setLastName(String newLastName){
    lastName = newLastName;
  }

  public void setAddress1(String newAddress1){
    address1 = newAddress1;
  }

  public void setAddress2(String newAddress2){
    address2 = newAddress2;
  }

  public void setState(String newState){
    state = newState;
  }

  public void setPhoneNumber(String newPhoneNumber){
    phoneNumber = newPhoneNumber;
  }

  public void setEmailAddress(String newEmailAddress){
    emailAddress = newEmailAddress;
  }
}

