package ejava.webservices.rpc;

/**
 * @author Paul Perrone
 *
 * J2EE Developer's Handbook
 * 
 * Package: ejava.webservices.rpc
 * 
 * Type: SecurityHandler
 * 
 * Implements a JAX-RPC handler for reading/writing
 * SOAP header information related to security.
 * 
 */

import javax.xml.rpc.handler.*;
import javax.xml.namespace.QName;
import java.util.Map;

import javax.xml.rpc.handler.*;
import javax.xml.rpc.handler.soap.*;
import javax.xml.soap.*;
import java.util.Iterator;
import java.util.prefs.Preferences;

public class SecurityHandler extends GenericHandler{

  protected QName securityHeader = new QName("","");

  public static final String USERNAME = "username";
  public static final String PASSWORD = "password";
  public static final String NAMESPACE = "headerNamespace";
  public static final String NAME = "headerName";
  public static final String PREFIX = "headerPrefix";

  public void init(HandlerInfo config){
  	// Read the security header name
    System.out.println("  -- SECURITY HANDLER INIT --");
    Map configMap = config.getHandlerConfig();
    securityHeader = new QName(
	            				(String) configMap.get(NAMESPACE),
    							    (String) configMap.get(NAME));
  }

  public QName[] getHeaders(){
  	// Return the header names
    QName[] headers = {securityHeader};
    return headers;
  }
   
   public void printSOAPInfo (SOAPElement element) {
   	  // Helper method to print out SOAP element info
      try {
          if (element.getValue() != null){
            System.out.println("element.getValue()="+element.getValue());
          }

          javax.xml.soap.Name elementName =
            element.getElementName();
          System.out.println("ElementName="+ elementName);
          System.out.println("LocalName="+elementName.getLocalName());

          java.util.Iterator attributes =
              element.getAllAttributes();
          javax.xml.soap.Name sname;
          if (!attributes.hasNext())
            System.out.println("element has no attributes.");
          while (attributes.hasNext()) {
              javax.xml.soap.Name
                attribtueName = (javax.xml.soap.Name) attributes.next();
          }
          java.util.Iterator childElems =
              element.getChildElements();
          SOAPElement childElement;
          if (childElems.hasNext())
              System.out.println("element  Children are ...");
          while (childElems.hasNext()) {
              childElement = (SOAPElement) childElems.next();
              printSOAPInfo (childElement);
          }
      }
      catch (Exception ex) {
          //ex.printStackTrace();
      }
    }
}
